Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.layers
Class LayerConfiguration

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.layers.LayerConfiguration

All Implemented Interfaces:
  Cloneable, ILayerConfiguration, IPdfObjectWrapper

    @PDF(value=PDF15)
    public class LayerConfiguration

extends PdfObjectWrapper<PdfDictionary>
implements ILayerConfiguration

Optional content configuration [PDF:1.7:4.10.3].

Since:
  0.1.1
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`LayerConfiguration(Document context)`
`LayerConfiguration(PdfDirectObject baseObject)`

Method Summary
`LayerConfiguration` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`String` | `getCreator()` Gets the name of the application or feature that created this configuration.
`Layers` | `getLayers()` Gets the layer structure.
`ListModeEnum` | `getListMode()` Gets the list mode specifying which layers should be displayed to the user.
`Array<LayerGroup>` | `getOptionGroups()` Gets the groups of layers whose states are intended to follow a radio button paradigm (that is exclusive visibility within the same group).
`String` | `getTitle()` Gets the configuration name.
`Boolean` | `isVisible()` Gets whether all the layers in the document are initialized to be visible when this configuration is applied.
`void` | `setCreator(String value)`
`void` | `setLayers(Layers value)`
`void` | `setListMode(ListModeEnum value)`
`void` | `setTitle(String value)`
`void` | `setVisible(Boolean value)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pdfclown.objects.IPdfObjectWrapper
`getBaseObject`

Constructor Detail

### LayerConfiguration

    public LayerConfiguration(Document context)

### LayerConfiguration

    public LayerConfiguration(PdfDirectObject baseObject)

Method Detail

### clone

    public LayerConfiguration clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getCreator

    public String getCreator()

  Description copied from interface: `ILayerConfiguration`
  Gets the name of the application or feature that created this configuration.

  Specified by:
    `getCreator` in interface `ILayerConfiguration`

### getLayers

    public Layers getLayers()

  Description copied from interface: `ILayerConfiguration`
  Gets the layer structure.

  Specified by:
    `getLayers` in interface `ILayerConfiguration`

### getListMode

    public ListModeEnum getListMode()

  Description copied from interface: `ILayerConfiguration`
  Gets the list mode specifying which layers should be displayed to the user.

  Specified by:
    `getListMode` in interface `ILayerConfiguration`

### getOptionGroups

    public Array<LayerGroup> getOptionGroups()

  Description copied from interface: `ILayerConfiguration`
  Gets the groups of layers whose states are intended to follow a radio button paradigm (that is exclusive visibility within the same group).

  Specified by:
    `getOptionGroups` in interface `ILayerConfiguration`

### getTitle

    public String getTitle()

  Description copied from interface: `ILayerConfiguration`
  Gets the configuration name.

  Specified by:
    `getTitle` in interface `ILayerConfiguration`

### isVisible

    public Boolean isVisible()

  Description copied from interface: `ILayerConfiguration`
  Gets whether all the layers in the document are initialized to be visible when this configuration is applied.

  Specified by:
    `isVisible` in interface `ILayerConfiguration`

### setCreator

    public void setCreator(String value)

  Specified by:
    `setCreator` in interface `ILayerConfiguration`
  See Also:
    `ILayerConfiguration.getCreator()`

### setLayers

    public void setLayers(Layers value)

  Specified by:
    `setLayers` in interface `ILayerConfiguration`
  See Also:
    `ILayerConfiguration.getLayers()`

### setListMode

    public void setListMode(ListModeEnum value)

  Specified by:
    `setListMode` in interface `ILayerConfiguration`
  See Also:
    `ILayerConfiguration.getListMode()`

### setTitle

    public void setTitle(String value)

  Specified by:
    `setTitle` in interface `ILayerConfiguration`
  See Also:
    `ILayerConfiguration.getTitle()`

### setVisible

    public void setVisible(Boolean value)

  Specified by:
    `setVisible` in interface `ILayerConfiguration`
  See Also:
    `ILayerConfiguration.isVisible()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.